process GTDBTK {
  publishDir "${params.outdir}/08_binning/08_3_gtdbtk", mode: 'copy'
  label 'BINNING'
 
  input:
    path bins_drep
    val gtdbtk_db
    val mash_db
    path gtdbtk_header
      
  output:
    path "combined_gtdbtk.summary.tsv" , emit : gtdbtk_affiliations_predictions
    path "v_gtdbtk.txt" ,emit : v_gtdbtk

  script:
  """
  echo "hello"
  export GTDBTK_DATA_PATH=$gtdbtk_db

  gtdbtk classify_wf --genome_dir $bins_drep -x fa --out_dir ./ --mash_db $mash_db --pplacer_cpus ${task.cpus} --cpus ${task.cpus}
  echo \$(gtdbtk -h 2>&1) &> v_gtdbtk.txt

  if [ ! -f ./gtdbtk.bac120.summary.tsv ]; then
    touch ./gtdbtk.bac120.summary.tsv
    cat ${gtdbtk_header} > tmp_bac120.tsv && cat gtdbtk.bac120.summary.tsv >> tmp_bac120.tsv \\
          && mv tmp_bac120.tsv gtdbtk.bac120.summary.tsv
  fi

  if [ ! -f ./gtdbtk.ar53.summary.tsv ]; then
    touch ./gtdbtk.ar53.summary.tsv
    cat ${gtdbtk_header} > tmp_ar53.tsv && cat gtdbtk.ar53.summary.tsv >> tmp_ar53.tsv \\
          && mv tmp_ar53.tsv gtdbtk.ar53.summary.tsv
  fi

    # Concatenate .tsv files
  { head -n 1 gtdbtk.bac120.summary.tsv; tail -n +2 -q gtdbtk.bac120.summary.tsv gtdbtk.ar53.summary.tsv; } > combined_gtdbtk.summary.tsv

  """
}